from rest_framework import viewsets
from django_filters.rest_framework import DjangoFilterBackend
from api.serializers import LineaParaderoSerializer
from api.models import LineaParadero
import logging

class LineaParaderoViewSet(viewsets.ModelViewSet):
    queryset = LineaParadero.objects.all()
    serializer_class = LineaParaderoSerializer
    filter_backends = [DjangoFilterBackend]
    filterset_fields = ['id_linea', 'id_paradero']